Export File Reference

Go to the source code of this file.

## Namespaces

namespace | osgManipulator

## Macros

#define | OSGMANIPULATOR_EXPORT_ 1
#define | OSGMANIPULATOR_EXPORT
#define | META_OSGMANIPULATOR_Object(library, name)

## Macro Definition Documentation

## META_OSGMANIPULATOR_Object

#define META_OSGMANIPULATOR_Object | ( |  | library,
|  |  | name )

Value:
virtual osg::Object* cloneType() const { return new name (); } \
virtual bool isSameKindAs(const osg::Object* obj) const { return dynamic_cast<const name *>(obj)!=NULL; } \
virtual const char* libraryName() const { return #library; }\
virtual const char* className() const { return #name; }
osg::Object
Definition Object:61
NULL
#define NULL
Definition osg/Export:55

## OSGMANIPULATOR_EXPORT

#define OSGMANIPULATOR_EXPORT

Referenced by osgManipulator::computeNodePathToRoot(), osgManipulatorGetLibraryName(), osgManipulatorGetVersion(), osgManipulator::setDrawableToAlwaysCull(), and osgManipulator::setMaterialColor().

## OSGMANIPULATOR_EXPORT_

#define OSGMANIPULATOR_EXPORT_ 1